Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[overlay] unity-gentoo
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 8, 9, 10 ... 24, 25, 26  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Sat Oct 20, 2012 6:43 pm    Post subject: Reply with quote

Thanks peaker, although it's been spoken about throughout the thread, I should write something in the first post that says use the more stable unity-5.16.0.
And to re-iterate to symlink the PACKAGES file located in the top directory into your /etc/portage/package.keywords/.
In this way you don't end up with a thousand version dependent entries in your /etc/portage/package* files due to the use of '--autounmask'.

The newer Unity-6.8 is a work in progress and is missing keyword masked for that reason.
The window position bugs are from upstream and are fixed in the latest Quantal release, however this requires gnome-3.6 and Gentoo is in the process of still getting these into the 'gnome' overlay, hence the mask.

Thanks for trying unity-6.8, hope to see you again soon ;)
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Sat Oct 20, 2012 10:01 pm    Post subject: Reply with quote

You will see me often. I will use unity 6 and place feedback here. It's quite OK for me to deal with some bugs.
I have a backup LXDE in case it will blow up. :)

Unmasking list needs to be updated, but at later stage.

There are couple of ebuilds for clutter-gst versions 1.6.0 and 1.9.92 in overlay. I will try them now.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Thu Oct 25, 2012 10:27 pm    Post subject: Reply with quote

peaker wrote:
You will see me often. I will use unity 6 and place feedback here. It's quite OK for me to deal with some bugs.
I have a backup LXDE in case it will blow up. :)

Unmasking list needs to be updated, but at later stage.

There are couple of ebuilds for clutter-gst versions 1.6.0 and 1.9.92 in overlay. I will try them now.
Excellent!
We need a few pioneers back in the mix to push things forward ;)
It may be a case of two steps forward, one step back, but that's progress!

I've been working towards getting the Quantal packages integrated with Gentoo's path to Gnome-3.6 via the 'gnome' overlay.
As such to use the experimental Quantal packages ( ie. Unity-6.8 ), you will need to do the following:
Code:
layman -a gnome

Then create the symlinks needed for the various maskings:
Code:
/etc/portage/package.use/package.use.gnome3 -> /var/lib/layman/gnome/status/portage-configs/package.use.gnome3
/etc/portage/profile/package.use.mask.gnome3 -> /var/lib/layman/gnome/status/portage-configs/package.use.mask.gnome3
/etc/portage/package.unmask/package.unmask.gnome3 -> /var/lib/layman/gnome/status/portage-configs/package.unmask.gnome3
/etc/portage/package.keywords/package.keywords.gnome3 -> /var/lib/layman/gnome/status/portage-configs/package.keywords.gnome3
/etc/portage/package.keywords/unity-gentoo -> /var/lib/layman/unity-gentoo/PACKAGES
/etc/portage/package.keywords/unity-gentoo.quantal -> /var/lib/layman/unity-gentoo/unity-gentoo.quantal
/etc/portage/package.mask/unity-gentoo.quantal.pmask -> /var/lib/layman/unity-gentoo/unity-gentoo.quantal.pmask

Gone this route as it gets rid of the growing number of custom hacks, patches and version freezes put in place to keep Quantal packages building and working with gnome-3.4 packages.
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Oct 26, 2012 1:36 am    Post subject: Reply with quote

OK. I've cleaned portage settings.
Added gnome overlay. It's still a mess. :( How about:
Code:
!!! A file listed in the Manifest could not be found: /var/lib/layman/gnome/gnome-base/gnome-shell/gnome-shell-3.6.1.ebuild

There are some missing unmaskings in the gnome overlay, even after creating all the symlinks. But it's better then before and not related to unity-gentoo.

Missing from unity-gentoo overlay:
Keywords
Code:
>=net-misc/networkmanager-0.9.6 required by gnome-extra/nm-applet-99.0.9.6.2::unity-gentoo
>=x11-base/xorg-drivers-1.13 required by x11-base/xorg-server-1.13.0-r9999::unity-gentoo
>=media-sound/pulseaudio-2.0[glib] required by gnome-base/gnome-control-center-99.3.4.2-r9::unity-gentoo

gcc-4.6.3? Is it needed? Seems like it isn't unmasked anywhere.


Conflict between gnome and unity-gentoo:
Code:
<=media-libs/cogl-1.10.4:1.0[introspection?] required by media-libs/clutter-gst-1.6.0::unity-gentoo
media-libs/cogl-1.12.0::gnome, ebuild scheduled for merge


I'll try to downgrade clutter-gst.

--
Compiling 115 packages now. :)
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Fri Oct 26, 2012 5:36 am    Post subject: Reply with quote

It was a deliberate decision not to maintain mask states for packages that lie outside of the overlay.
So that's why you've encountered the need to keyword unmask networkmanager, xorg-drivers and pulseaudio.

Yes, >=gcc:4.6 is needed for grail, unity, nux and frame to build but again is a package that lies outside the overlay.
It might work with gcc:4.7 but I haven't tested this yet.

Unity-gentoo overlay contains a small amount of gnome-3.6 packages that haven't made it into 'gnome' overlay yet.
The clutter-gst-1.9.92 and gstreamer-1.0.1:1.0 ebuilds are in there so we can have cheese-3.6 and totem-3.6.
The clutter-gst-1.6.0 ebuild is in there to modify it's depend on <=cogl-1.10.4:1.0 as it doesn't build against the new cogl-1.12.0 that comes in 'gnome' overlay.

Hope that clears some of that up :)
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Oct 26, 2012 12:51 pm    Post subject: Reply with quote

I see your point on package unmasking. Thanks for explaining.

Oddly neither of gstreamer, cheese or totem depends on clutter-gst:2.0. 'emerge --depclean' tries to remove clutter-gst-1.9.92 from my system.

Writing from LXDE. :cry:
Completed update after adding 'gnome' overlay. Got some critical errors in logs. After logging in only desktop and icons (home, trash) on it are shown, no panels. File manager can be started by clicking on icons and other apps are starting from file manager. Alt+F4 closes windows. No decorations on windows. "Win" key has no effect.
Same with new user.
Code:
/var/log/messages
Oct 27 01:34:16 localhost gdm-password][12674]: pam_unix(gdm-password:session): session opened for user peaker by (uid=0)
Oct 27 01:34:16 localhost gdm-password][12674]: pam_ck_connector(gdm-password:session): nox11 mode, ignoring PAM_TTY :0
Oct 27 01:34:16 localhost dbus[1687]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.84" (uid=109 pid=12640 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1809 comm="/usr/sbin/console-kit-daemon ")
Oct 27 01:34:16 localhost gnome-session[12609]: WARNING: Detected that screensaver has left the bus
Oct 27 01:34:16 localhost gnome-session[12609]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed

Code:
/var/log/gdm/:0-greeter.log
(gnome-settings-daemon:12631): keyboard-plugin-WARNING **: Failed to set the keyboard layouts: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such method `SetXKeyboardLayouts'
Window manager warning: Log level 16: Failed to load apps: Failed to look up menu_file for "applications.menu"

      JS LOG: GNOME Shell started at Sat Oct 27 2012 01:34:04 GMT+1300 (NZDT)
failed to create drawable
...
failed to create drawable
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!
gnome-session[12609]: WARNING: Detected that screensaver has left the bus

(gnome-settings-daemon:12631): GLib-GIO-WARNING **: Error releasing name org.gnome.SettingsDaemon: The connection is closed
gnome-session[12609]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed
Window manager warning: Log level 8: g_source_remove: assertion `tag > 0' failed
[1351254843,000,xklavier.c:xkl_engine_start_listen/]    The backend does not require manual layout management - but it is provided by the application


Code:
startx -> /usr/bin/unity (from new user)
compizconfig - Info: Backend     : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile     : unity
Nux: Gpu Vendor: Tungsten Graphics, Inc
Nux: Gpu Renderer: Mesa DRI Mobile Intel® GM45 Express Chipset 
Nux: Gpu OpenGL Version: 2.1 Mesa 8.0.3
Nux: Gpu OpenGL Major Version: 2
Nux: Gpu OpenGL Minor Version: 1
Nux: Gpu GLSL Version: 2.1 Mesa 8.0.3
Nux: The GraphicsEngine is using the GLSL shader code path.
ERROR 2012-10-27 02:22:18 unity.launcher.trashlaunchericon TrashLauncherIcon.cpp:61 Could not create file monitor for trash uri: Operation not supported
Nux: [IBusIMEContext::IBusIMEContext] Can not connect to ibus
WARN  2012-10-27 02:22:19 unity <unknown>:0 failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process exited abnormally
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_get_filename: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
WARN  2012-10-27 02:22:19 unity.launcher LauncherIcon.cpp:432 Unable to load 'workspace-switcher' from icon theme:
ERROR 2012-10-27 02:22:19 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.drag.threshold
ERROR 2012-10-27 02:22:19 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.drag.timeout
...
ERROR 2012-10-27 02:22:19 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.rotate.threshold
ERROR 2012-10-27 02:22:19 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.rotate.timeout
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_get_filename: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
WARN  2012-10-27 02:22:19 unity.launcher LauncherIcon.cpp:432 Unable to load 'application-default-icon' from icon theme:
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_get_filename: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_iccompiz (decor) - Warn: No default decoration found, placement will not be correct
compiz (decor) - Warn: No default decoration found, placement will not be correct
...
compiz (decor) - Warn: No default decoration found, placement will not be correct
on_info_load_icon: assertion `icon_info != NULL' failed
ERROR 2012-10-27 02:22:19 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
WARN  2012-10-27 02:22:19 unity.launcher LauncherIcon.cpp:432 Unable to load 'application-default-icon' from icon theme:
Nux: [CheckGLError] GL_INVALID_OPERATION error in File ./IOpenGLTexture2D.cpp at line: 40
Nux: [CheckGLError] OpenGL Error 1282( invalid operation )  in File ./IOpenGLTexture2D.cpp at line: 40
...
Nux: [CheckGLError] GL_INVALID_OPERATION error in File ./IOpenGLTexture2D.cpp at line: 40
Nux: [CheckGLError] OpenGL Error 1282( invalid operation )  in File ./IOpenGLText

Code:
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
unity-panel-service: no process found
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp

(process:2412): GLib-WARNING **: In call to g_spawn_sync(), exit status of a child process was requested but SIGCHLD action was set to SIG_IGN and ECHILD was received by waitpid(), so exit status can't be returned. This is a bug in the program calling g_spawn_sync(); either don't request the exit status, or don't set the SIGCHLD action.

** (process:2412): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process exited with code 127
compiz (core) - Info: Loading plugin: composite
compiz (core) - Info: Starting plugin: composite

** (process:2412): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process exited with code 127
compiz (core) - Info: Loading plugin: opengl
sh: /usr/lib/nux/unity_support_test: No such file or directory
compiz (core) - Info: Unity is undetectable
sh: /usr/lib/nux/unity_support_test: No such file or directory
compiz (core) - Info: Unity is undetectable
compiz (core) - Info: Starting plugin: opengl

...

** (process:2412): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process exited with code 127
compiz (core) - Info: Loading plugin: unityshell
nux::logging::Writer::Writer()
compiz (core) - Info: Starting plugin: unityshell
compiz (decor) - Warn: No default decoration found, placement will not be correct
...
compiz (decor) - Warn: No default decoration found, placement will not be correct


Will try to make it work. Not sure where to start by now.
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Mon Oct 29, 2012 11:57 am    Post subject: Reply with quote

Sorry for the late reply, been stuck working these last couple of days :?

The cheese and totem deps. have been fixed, they should indeed dep. on clutter-gst:2.0 and gstreamer:1.0.

The "CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed" error you see for gnome-session took me days to track down but is due to polkit-gnome-authentication-agent-1 not being executed on login.
I commited the fix for gnome-extra/polkit-gnome-99.0.105 but failed to revision bump it so that it would be upgraded on next emerge update.
I've done the revbump so should upgrade OK now.
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Mon Oct 29, 2012 11:12 pm    Post subject: Reply with quote

Writing from GNOME shell.
Thanks for a great work again.

After last patch I'm able to start gnome session. This is great to have a choice.
I haven't reported it, sorry, but gnome-shell was broken in my setup after I added unity-gentoo overlay.

Patch has no effect on unity. No panel, no dash, just desktop with icons.

More debug info:
"startx", then in xterm "unity".
It's the only way I found to actually have panel and dock on screen as a _black_ rectangular areas. There is some functionality, as menus are dropping from elements on the panel, and docked applications could be started by blind click.
I haven't found how to:
1. Make panel and dock decorated, or icons on them to be shown.
2. See the dash. When I hit a Win-key small rectangular area (200x100px) at top left corner comes black representing dash.
3. Make panel or dock take place on screen when unity started as session from startx or gdm.

Output of "unity --verbose" being run from xterm.
Code:
compiz (core) - Info: Loading plugin: core
compiz (core) - Debug: Trying to load core from: /home/den/.compiz-1/plugins/libcore.so
unity-panel-service: no process found
compiz (core) - Debug: dlopen failed: /home/den/.compiz-1/plugins/libcore.so: cannot open shared object file: No such file or directory
compiz (core) - Debug: Trying to load core from: /usr/lib64/compiz/libcore.so
compiz (core) - Debug: dlopen failed: /usr/lib64/compiz/libcore.so: cannot open shared object file: No such file or directory
compiz (core) - Info: Starting plugin: core
compiz (core) - Debug: Started plugin: core
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Debug: Trying to load ccp from: /home/den/.compiz-1/plugins/libccp.so
compiz (core) - Debug: dlopen failed: /home/den/.compiz-1/plugins/libccp.so: cannot open shared object file: No such file or directory
compiz (core) - Debug: Trying to load ccp from: /usr/lib64/compiz/libccp.so
compiz (core) - Debug: Opened library: /usr/lib64/compiz/libccp.so
compiz (core) - Debug: Loaded plugin ccp from: /usr/lib64/compiz/libccp.so
compiz (core) - Info: Starting plugin: ccp
compiz (core) - Debug: Started plugin: ccp
compiz (core) - Info: Loading plugin: composite
compiz (core) - Debug: Trying to load composite from: /home/den/.compiz-1/plugins/libcomposite.so
compiz (core) - Debug: dlopen failed: /home/den/.compiz-1/plugins/libcomposite.so: cannot open shared object file: No such file or directory
compiz (core) - Debug: Trying to load composite from: /usr/lib64/compiz/libcomposite.so
compiz (core) - Debug: Opened library: /usr/lib64/compiz/libcomposite.so
compiz (core) - Debug: Loaded plugin composite from: /usr/lib64/compiz/libcomposite.so
compiz (core) - Info: Starting plugin: composite

(process:6026): GLib-WARNING **: In call to g_spawn_sync(), exit status of a child process was requested but SIGCHLD action was set to SIG_IGN and ECHILD was received by waitpid(), so exit status can't be returned. This is a bug in the program calling g_spawn_sync(); either don't request the exit status, or don't set the SIGCHLD action.

** (process:6026): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process killed by signal 6

** (process:6026): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process killed by signal 6
compiz (core) - Debug: Started plugin: composite
compiz (core) - Info: Loading plugin: opengl
sh: /usr/lib/nux/unity_support_test: No such file or directory
compiz (core) - Info: Unity is undetectable
compiz (core) - Debug: Trying to load opengl from: /home/den/.compiz-1/plugins/libopengl.so
compiz (core) - Debug: dlopen failed: /home/den/.compiz-1/plugins/libopengl.so: cannot open shared object file: No such file or directory
sh: /usr/lib/nux/unity_support_test: No such file or directory
compiz (core) - Info: Unity is undetectable
compiz (core) - Debug: Trying to load opengl from: /usr/lib64/compiz/libopengl.so
compiz (core) - Debug: Opened library: /usr/lib64/compiz/libopengl.so
compiz (core) - Debug: Loaded plugin opengl from: /usr/lib64/compiz/libopengl.so
compiz (core) - Info: Starting plugin: opengl

...14 more dbus-launch errors...

** (process:6026): WARNING **: failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process killed by signal 6
compiz (core) - Debug: Started plugin: ezoom
compiz (core) - Info: Loading plugin: unityshell
compiz (core) - Debug: Trying to load unityshell from: /home/den/.compiz-1/plugins/libunityshell.so
compiz (core) - Debug: dlopen failed: /home/den/.compiz-1/plugins/libunityshell.so: cannot open shared object file: No such file or directory
compiz (core) - Debug: Trying to load unityshell from: /usr/lib64/compiz/libunityshell.so

compizconfig - Info: Backend     : gsettings
compizconfig - Info: Integration : true
compizconfig - Info: Profile     : unity
nux::logging::Writer::Writer()
compiz (core) - Debug: Opened library: /usr/lib64/compiz/libunityshell.so
compiz (core) - Debug: Loaded plugin unityshell from: /usr/lib64/compiz/libunityshell.so
compiz (core) - Info: Starting plugin: unityshell
Nux: Gpu Vendor: Tungsten Graphics, Inc
Nux: Gpu Renderer: Mesa DRI Mobile Intel® GM45 Express Chipset 
Nux: Gpu OpenGL Version: 2.1 Mesa 8.0.3
Nux: Gpu OpenGL Major Version: 2
Nux: Gpu OpenGL Minor Version: 1
Nux: Gpu GLSL Version: 2.1 Mesa 8.0.3
Nux: The GraphicsEngine is using the GLSL shader code path.
ERROR 2012-10-30 11:02:40 unity.launcher.trashlaunchericon TrashLauncherIcon.cpp:61 Could not create file monitor for trash uri: Operation not supported
Nux: [IBusIMEContext::IBusIMEContext] Can not connect to ibus
WARN  2012-10-30 11:02:40 unity <unknown>:0 failed to commit changes to dconf: Error spawning command line `dbus-launch --autolaunch=ddfc8fa694e1cb1cc6dea1275014804d --binary-syntax --close-stderr': Child process killed by signal 6
compiz (core) - Debug: Started plugin: unityshell
compiz (core) - Debug: refusing to manage window 0xa00034
compiz (core) - Debug: refusing to manage window 0xa00036
compiz (core) - Debug: refusing to manage window 0xa00038
compiz (core) - Debug: pending request:
compiz (core) - Debug: - event serial: 3662
compiz (core) - Debug: - event window 0xa000ba
compiz (core) - Debug: - x: 0 y: 0 width: 1 height: 1 border: 0, sibling: 0xa00038
compiz (core) - Debug: pending request:
compiz (core) - Debug: - event serial: 3686
compiz (core) - Debug: - event window 0xa000ba
compiz (core) - Debug: - x: 0 y: 0 width: 1366 height: 768 border: 0, sibling: 0x0
...9 more pending request...
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_get_filename: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
WARN  2012-10-30 11:02:40 unity.launcher LauncherIcon.cpp:432 Unable to load 'workspace-switcher' from icon theme:
compiz (core) - Debug: refusing to manage window 0xa000ba
compiz (core) - Debug: received event:
compiz (core) - Debug: - event serial: 3662   Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
compiz (core) - Debug: - event window 0xa000ba
compiz (core) - Debug: - x: 0 y: 0 width: 1 height: 1 border: 0, sibling: 0xa00038
...
ERROR 2012-10-30 11:02:40 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.drag.threshold
ERROR 2012-10-30 11:02:40 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.drag.timeout
ERROR 2012-10-30 11:02:40 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.pinch.threshold
ERROR 2012-10-30 11:02:40 nux.gestures_subscription GesturesSubscription.cpp:364 Failed to set Geis subscription configuration com.canonical.oif.pinch.timeout
...
compiz (decor) - Warn: No default decoration found, placement will not be correct
compiz (decor) - Warn: No default decoration found, placement will not be correct
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_get_filename: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_load_icon: assertion `icon_info != NULL' failed
ERROR 2012-10-30 11:02:40 unity.gtk <unknown>:0 gtk_icon_info_free: assertion `icon_info != NULL' failed
WARN  2012-10-30 11:02:40 unity.launcher LauncherIcon.cpp:432 Unable to load 'application-default-icon' from icon theme:
compiz (decor) - Warn: failed to bind pixmap to texture
compiz (decor) - Warn: failed to bind pixmap to texture
...
Nux: [CheckGLError] GL_INVALID_OPERATION error in File ./IOpenGLTexture2D.cpp at line: 40
Nux: [CheckGLError] OpenGL Error 1282( invalid operation )  in File ./IOpenGLTexture2D.cpp at line: 40

...


Line 3 above took my attention. So I've experimented with panel-service a bit.
"startx" then "/usr/lib64/unity/unity-panel-service"
Not sure that it should be run from an ordinary user.
It isn't crashing, it could be run from startx, gnome-shell or unity session. When it runs menus are removed from windows. So it's kind of functional.
Code:
(unity-panel-service:5836): libindicator-WARNING **: IndicatorObject class does not have an accessible description.
(unity-panel-service:5836): LIBDBUSMENU-GLIB-CRITICAL **: dbusmenu_client_get_root: assertion `DBUSMENU_IS_CLIENT(client)' failed
(unity-panel-service:5836): LIBDBUSMENU-GLIB-CRITICAL **: dbusmenu_menuitem_get_children: assertion `DBUSMENU_IS_MENUITEM(mi)' failed
(unity-panel-service:5836): libindicator-WARNING **: Unable to load icon from file 'audio-output-none' because: Failed to open file 'audio-output-none': No such file or directory
(unity-panel-service:5836): libindicator-WARNING **: IndicatorObject class does not have an accessible description.
** (unity-panel-service:5836): WARNING **: on_indicator_menu_show() called with a NULL entry
(unity-panel-service:5836): Gtk-CRITICAL **: gtk_widget_realize: assertion `widget->priv->anchored || GTK_IS_INVISIBLE (widget)' failed
(unity-panel-service:5836): Indicator-Session-WARNING **: Couldn't load the image "/home/den/.face": Failed to open file '/home/den/.face': No such file or directory
(unity-panel-service:5836): Indicator-Session-WARNING **: Couldn't load the image "/home/peaker/.face": Failed to open file '/home/peaker/.face': No such file or directory
(unity-panel-service:5836): IDO-CRITICAL **: ido_calendar_menu_item_get_calendar: assertion `IDO_IS_CALENDAR_MENU_ITEM (item)' failed
(unity-panel-service:5836): Gtk-CRITICAL **: gtk_calendar_get_date: assertion `GTK_IS_CALENDAR (calendar)' failed
(unity-panel-service:5836): Gtk-CRITICAL **: gtk_calendar_select_month: assertion `GTK_IS_CALENDAR (calendar)' failed
(unity-panel-service:5836): Gtk-CRITICAL **: gtk_calendar_select_day: assertion `GTK_IS_CALENDAR (calendar)' failed


"XSESSION=unity startx"
Code:
xauth:  file /home/den/.serverauth.3317 does not exist
xauth:  file /home/den/.Xauthority does not exist
xauth:  file /home/den/.Xauthority does not exist

X.Org X Server 1.13.0
Release Date: 2012-09-05
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.3.8-gentoo x86_64 Gentoo
Current Operating System: Linux peak 3.3.8-gentoo #13 SMP Fri Oct 26 22:48:01 NZDT 2012 x86_64
Kernel command line: root=/dev/sda5 acpi_osi="!Windows 2009" quiet
Build Date: 11 October 2012  09:03:30PM
 
Current version of pixman: 0.27.2
...

(gnome-settings-daemon:3496): keyboard-plugin-WARNING **: Failed to set the keyboard layouts: GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such method `SetXKeyboardLayouts'
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp
No current profile set, no migration needed
** Message: applet now removed from the notification area
** Message: using fallback from indicator to GtkStatusIcon

(gnome-settings-daemon:3496): color-plugin-WARNING **: failed to create device: GDBus.Error:org.freedesktop.ColorManager.Failed: failed to obtain org.freedesktop.color-manager.create-device auth


Last edited by peaker on Tue Oct 30, 2012 3:24 am; edited 1 time in total
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Tue Oct 30, 2012 3:20 am    Post subject: Reply with quote

Process list after starting unity from GDM:
Code:
root      1042  0.0  0.0  30748  1660 ?        Ss   16:03   0:00 /usr/lib/systemd/systemd-udevd --daemon
root      1248  0.0  0.0      0     0 ?        S<   16:03   0:00 [iprt]
root      1369  0.0  0.0  18444  1080 ?        Ss   16:03   0:00 /usr/sbin/mount.ntfs-3g /dev/sda3 /mnt/win_c -o rw,uid=1000,gid=100
root      1372  0.0  0.0  18460  1212 ?        Ss   16:03   0:00 /usr/sbin/mount.ntfs-3g /dev/sda7 /mnt/win_e -o rw,uid=1000,gid=100
101       1686  0.1  0.0  20168  1820 ?        Ss   16:03   0:00 /usr/bin/dbus-daemon --system
root      1701  0.0  0.0  22768   412 ?        S    16:03   0:00 supervising syslog-ng
root      1702  0.0  0.1  52352  2968 ?        Ss   16:03   0:00 /usr/sbin/syslog-ng
root      1721  0.0  0.0  27192  1100 ?        Ss   16:03   0:00 /usr/sbin/wpa_supplicant -B -c/etc/wpa_supplicant/wpa_supplicant.conf -iwlan0
root      1735  0.0  0.0      0     0 ?        S    16:03   0:00 [flush-8:0]
root      1736  0.0  0.4 288500  8636 ?        Ssl  16:03   0:00 /usr/sbin/NetworkManager --pid-file /var/run/NetworkManager.pid
polkitd   1744  0.1  0.4 371396  8148 ?        Sl   16:03   0:00 /usr/lib/polkit-1/polkitd --no-debug
root      1767  0.0  0.1  27208  2800 ?        S    16:03   0:00 /usr/sbin/wpa_supplicant -u
root      1836  0.0  0.1 1040876 3880 ?        Ssl  16:04   0:00 /usr/sbin/console-kit-daemon
root      1915  0.0  0.0   7320   392 ?        Ss   16:04   0:00 /usr/sbin/gpm -m /dev/input/mice -t ps2
root      1957  0.0  0.0  19604   792 ?        Ss   16:04   0:00 /usr/sbin/cron
root      1972  0.0  0.0  71196  1984 tty1     Ss   16:04   0:00 /bin/login --     
root      1973  0.0  0.0  15432   912 tty2     Ss+  16:04   0:00 /sbin/agetty 38400 tty2 linux
root      1974  0.0  0.0  15432   920 tty3     Ss+  16:04   0:00 /sbin/agetty 38400 tty3 linux
root      1975  0.0  0.0  15432   920 tty4     Ss+  16:04   0:00 /sbin/agetty 38400 tty4 linux
root      1976  0.0  0.0  15432   924 tty5     Ss+  16:04   0:00 /sbin/agetty 38400 tty5 linux
root      1977  0.0  0.0  15432   920 tty6     Ss+  16:04   0:00 /sbin/agetty 38400 tty6 linux
root      1979  0.0  0.0   8560   872 ?        S    16:04   0:00 /sbin/dhcpcd -B -K -L -G -c /usr/libexec/nm-dhcp-client.action -h peak wlan0
root      2036  0.0  0.0  40824  1248 ?        Ss   16:04   0:00 /usr/sbin/sshd
root      2052  0.0  0.1  23248  2392 tty1     S    16:04   0:00 -bash
root      2097  0.0  0.1 197516  3036 ?        Ssl  16:04   0:00 /usr/bin/gdm
root      2100  0.0  0.2 287852  4292 ?        Sl   16:04   0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
root      2104  1.7  0.9  93168 19180 tty7     Ss+  16:04   0:03 /usr/bin/Xorg :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-junAC2/database -nolisten tcp vt7
root      2120  0.0  0.2 198912  4108 ?        Sl   16:04   0:00 /usr/libexec/accounts-daemon
root      2163  0.1  0.2 196476  4092 ?        Sl   16:04   0:00 /usr/libexec/upowerd
root      2244  0.1  0.3 362424  6188 ?        Sl   16:04   0:00 /usr/lib/udisks2/udisksd --no-debug
root      2254  0.0  0.2 251364  4420 ?        Sl   16:04   0:00 gdm-session-worker [pam/gdm-password]
peaker    2258  0.0  0.2 239564  5036 ?        Sl   16:04   0:00 /usr/bin/gnome-keyring-daemon --daemonize --login
peaker    2274  0.0  0.5 415824 11328 ?        Ssl  16:04   0:00 gnome-session --session=unity
peaker    2294  0.0  0.0  24344   584 ?        S    16:04   0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/ssh-agent -- gnome-session --session=unity
peaker    2295  0.0  0.0  20312  1396 ?        Ss   16:04   0:00 /usr/bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
peaker    2296  0.0  0.0  14468   532 ?        Ss   16:04   0:00 /usr/bin/ssh-agent -- gnome-session --session=unity
peaker    2298  0.0  0.2 360488  4396 ?        Sl   16:04   0:00 /usr/libexec/at-spi-bus-launcher
peaker    2302  0.0  0.0  19632  1504 ?        S    16:04   0:00 /usr/bin/dbus-daemon --config-file=/etc/at-spi2/accessibility.conf --nofork --print-address 3
peaker    2305  0.0  0.1 120248  3324 ?        Sl   16:04   0:00 /usr/libexec/at-spi2-registryd --use-gnome-session
peaker    2311  0.3  1.0 781696 21864 ?        Sl   16:04   0:00 /usr/libexec/gnome-settings-daemon
peaker    2324  0.0  0.1 180756  2932 ?        Sl   16:04   0:00 /usr/libexec/gvfsd
peaker    2327  0.0  0.3 182940  6084 ?        Sl   16:04   0:00 compiz
colord    2329  0.0  0.3 235908  6220 ?        Sl   16:04   0:00 /usr/libexec/colord
peaker    2337  0.2  0.3 355464  6656 ?        Sl   16:04   0:00 /usr/bin/pulseaudio --start --log-target=syslog
peaker    2340  0.0  0.1 100568  3260 ?        S    16:04   0:00 /usr/libexec/pulse/gconf-helper
peaker    2342  0.0  0.1  49376  3644 ?        S    16:04   0:00 /usr/libexec/gconfd-2
peaker    2344  0.0  0.5 255124 10328 ?        Sl   16:04   0:00 /usr/libexec/polkit-gnome-authentication-agent-1
peaker    2345  5.8  3.6 348888 74644 ?        Sl   16:04   0:08 skype
peaker    2348  0.0  0.5 270952 10916 ?        Sl   16:04   0:00 /usr/libexec/gdu-notification-daemon
peaker    2349  0.0  0.5 408788 10288 ?        Sl   16:04   0:00 /usr/libexec/gnome-fallback-mount-helper
root      2353  0.0  0.1 191200  3992 ?        Sl   16:04   0:00 /usr/libexec/udisks-daemon
peaker    2354  0.1  0.9 658232 18276 ?        Sl   16:04   0:00 nm-applet
root      2356  0.0  0.0  43288   784 ?        S    16:04   0:00 udisks-daemon: not polling any devices
peaker    2362  0.0  0.2 289532  5992 ?        Sl   16:04   0:00 /usr/libexec/gvfs-udisks2-volume-monitor
peaker    2363  0.5  1.2 741608 24352 ?        Sl   16:04   0:00 nautilus -n
peaker    2390  0.0  0.2 279944  4388 ?        Sl   16:04   0:00 /usr/libexec/gvfsd-trash --spawner :1.7 /org/gtk/gvfs/exec_spaw/0
peaker    2395  0.0  0.1 262904  2952 ?        Sl   16:04   0:00 /usr/libexec/gvfsd-burn --spawner :1.7 /org/gtk/gvfs/exec_spaw/1
peaker    2441  0.1  0.3 440952  7316 ?        Sl   16:05   0:00 zeitgeist-datahub
peaker    2447  0.0  0.2 370396  5224 ?        Sl   16:05   0:00 /usr/bin/zeitgeist-daemon
peaker    2453  0.0  0.2 231288  5500 ?        Sl   16:05   0:00 /usr/libexec/zeitgeist-fts
peaker    2461  0.0  0.0   7020   356 ?        S    16:05   0:00 /bin/cat
peaker    2463  0.2  1.1 280284 24184 ?        S    16:05   0:00 /usr/bin/python2.7 /usr/share/system-config-printer/applet.py
peaker    2475  2.0  2.0 450708 41140 ?        Sl   16:05   0:02 /usr/bin/python2 /usr/libexec/ubuntuone-syncdaemon


"grep unity" It's not there. Neither unity, nor unity-panel-service.
Code:
peaker    2274  0.0  0.5 415824 11328 ?        Ssl  16:04   0:00 gnome-session --session=unity
peaker    2294  0.0  0.0  24344   584 ?        S    16:04   0:00 /usr/bin/dbus-launch --exit-with-session /usr/bin/ssh-agent -- gnome-session --session=unity
peaker    2296  0.0  0.0  14468   532 ?        Ss   16:04   0:00 /usr/bin/ssh-agent -- gnome-session --session=unity


I don't have knowledge about session mechanics to debug start up.
/var/log/messages has critical
Code:
Oct 30 17:01:39 localhost dbus[1679]: [system] Activating service name='org.freedesktop.Accounts' (using servicehelper)
Oct 30 17:01:39 localhost accounts-daemon[2096]: started daemon version 0.6.25
Oct 30 17:01:39 localhost dbus[1679]: [system] Successfully activated service 'org.freedesktop.Accounts'
Oct 30 17:01:40 localhost gdm-launch-environment][2093]: pam_unix(gdm-launch-environment:session): session opened for user gdm by (uid=0)
Oct 30 17:01:40 localhost gdm-launch-environment][2093]: pam_ck_connector(gdm-launch-environment:session): nox11 mode, ignoring PAM_TTY :0
Oct 30 17:01:45 localhost dbus[1679]: [system] Activating service name='org.freedesktop.UPower' (using servicehelper)
Oct 30 17:01:45 localhost dbus[1679]: [system] Successfully activated service 'org.freedesktop.UPower'
Oct 30 17:01:46 localhost kernel: [   32.156947] EXT4-fs (sda5): re-mounted. Opts: commit=0
Oct 30 17:01:52 localhost dbus[1679]: [system] Activating service name='org.freedesktop.UDisks2' (using servicehelper)
Oct 30 17:01:52 localhost udisksd[2220]: udisks daemon version 2.0.0 starting
Oct 30 17:01:52 localhost dbus[1679]: [system] Successfully activated service 'org.freedesktop.UDisks2'
Oct 30 17:01:52 localhost udisksd[2220]: Acquired the name org.freedesktop.UDisks2 on the system message bus
Oct 30 17:01:55 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:55 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:56 localhost polkitd[1737]: Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.34 [gnome-shell --mode=gdm], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Oct 30 17:01:56 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:59 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:59 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:59 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:01:59 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:02:10 localhost gdm-password][2231]: pam_unix(gdm-password:session): session opened for user peaker by (uid=0)
Oct 30 17:02:10 localhost gdm-password][2231]: pam_ck_connector(gdm-password:session): nox11 mode, ignoring PAM_TTY :0
Oct 30 17:02:10 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:02:10 localhost gnome-session[2112]: WARNING: Detected that screensaver has left the bus
Oct 30 17:02:10 localhost gnome-session[2112]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed
Oct 30 17:02:10 localhost dbus[1679]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=109 pid=2201 comm="gnome-shell --mode=gdm ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1801 comm="/usr/sbin/console-kit-daemon ")
Oct 30 17:02:10 localhost gdm-launch-environment][2093]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Oct 30 17:02:10 localhost polkitd[1737]: Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.34, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Oct 30 17:02:12 localhost gnome-keyring-daemon[2235]: Gkm: using old keyring directory: /home/peaker/.gnome2/keyrings
Oct 30 17:02:12 localhost gnome-keyring-daemon[2235]: Gkm: using old keyring directory: /home/peaker/.gnome2/keyrings
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:86:20: Not using units is deprecated. Assuming 'px'.
...
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:2145:20: Not using units is deprecated. Assuming 'px'.
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:19:20: Not using units is deprecated. Assuming 'px'.
...
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:1240:20: Not using units is deprecated. Assuming 'px'.
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: gnome-panel.css:94:21: Not using units is deprecated. Assuming 'px'.
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.
...
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: nautilus.css:132:20: Not using units is deprecated. Assuming 'px'.
Oct 30 17:02:13 localhost gnome-session[2251]: Gtk-WARNING: Theme parsing error: unity.css:23:21: Not using units is deprecated. Assuming 'px'.
Oct 30 17:02:13 localhost dbus[1679]: [system] Activating service name='org.freedesktop.ColorManager' (using servicehelper)
Oct 30 17:02:13 localhost dbus[1679]: [system] Successfully activated service 'org.freedesktop.ColorManager'
Oct 30 17:02:15 localhost polkitd[1737]: Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session2 (system bus name :1.57 [/usr/libexec/polkit-gnome-authentication-agent-1], object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Oct 30 17:02:15 localhost dbus[1679]: [system] Activating service name='org.freedesktop.UDisks' (using servicehelper)
Oct 30 17:02:15 localhost dbus[1679]: [system] Successfully activated service 'org.freedesktop.UDisks'
Oct 30 17:02:16 localhost udisksd[2220]: Mounted /dev/sdb1 at /run/media/peaker/SMALL DISK on behalf of uid 1000
Oct 30 17:02:16 localhost pulseaudio[2355]: [pulseaudio] pid.c: Daemon already running.


Since I have three exams tomorrow and day after, that will be all info for now.
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Wed Oct 31, 2012 7:03 pm    Post subject: Reply with quote

Hello guys,
I'm trying thins a few days to merge Unity 5.16.0 on a fresh Gentoo system (10.0/desktop/gnome)
With just unmasking the needed packages it's not possible :P

First problem is 'dev-libs/libdbusmenu-99.12.10.2'. It will not compile until the packages 'app-text/gnome-doc-utils' and 'dev-libs/json-glib' are merged into the system. You should add the packages as dependencies.

The second problem is 'unity-base/compiz'. It needs <=mesa-8.0.4. unfortunately is mesa–8.0.4 the current stable version in Gentoo. So I've to downgrade to mesa–8.0.3 by blocking mesa-8.0.4, 'app-admin/eselect-opengl-1.2.6' and 'x11-proto/glproto–1.4.16'.

The next problem is 'x11–base/xorg-server-1.13.0–r9999'. This package needs as dependencies at least '>=x11-proto/randrproto-1.4.0' and '>=x11-proto/glproto-1.4.16'. Otherwise it's not possible, to build i.e. 'xf86-video-intel' or 'xf86-input-wacom' against the server.
You should update the dependencies accordingly.
Updating 'randrproto' is not a proplem, but 'glproto' is blocked to get 'mesa' downgraded for 'compiz'

I hope you see my dilemma :-)


Last but not least, 'gnome-base/gnome-settings-daemon-99.3.4–r2'. It ignores the 'wacom' use-flag and adds 'xf86-input-wacom' as dependency in any case.


Can someone correct the issues, so it would be possible to install Unity just by unmask the required packages? Expecially the problem with the Mesa downgrade.

At the end a question of interest. Is it really necessary to have rhythmbox as dependency for Unity? I know Rhythmbox can be removed under Ubuntu without breaking Unity. My personal favorite is Banshee, I would be happy to avoid the install of Rythmbox. :-)
It exist already a use-flag 'rhythmbox' maybe it can be used to enable/disable the build of Rhythmbox.

Best regards!
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Wed Oct 31, 2012 11:48 pm    Post subject: Reply with quote

@peaker
Thanks for the logs, all good info.

The problem looks to be some breakage with dev-libs/dbus-glib after upgrading dev-libs/glib, so re-emerge dbus-glib and see if that fixes.
If no joy then you can try a more sweeping approach to re-emerging all installed dbus packages with:
Code:
emerge -1a $(qlist -IC dbus)

Also from your logs I see that I was not including the possibility of the user manually running /usr/bin/unity within an xsession and so have made some fixes to allow this to hapen.
Forced /usr/bin/unity to use python2 and fixed the unity_support_test missing symlink.

Good luck in the exams!

@renegart
Welcome and thanks for the report, I'll amend the dependency lists.

The music dash lens that is part of the Unity desktop (unity-base/unity-lens-music) can use either rhythmbox or banshee's music collection database.
Rhythmbox was chosen intially as it also plugs into UbuntuOne music store and as far as I can see, there is no such plugin for banshee.
But I can look at adding banshee collection support for the music lens in the near future (and patches welcome of course).
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Thu Nov 01, 2012 9:47 am    Post subject: Reply with quote

@renegart
You could try to unmask mesa-8.0.3-r1, and mask only mesa-8.0.4-r1, but not glproto.
This should resolve your dilemma.

@shiznix

No luck with dbus. Removed unity-gentoo overlay to reinstall unity.
Have some difficulties bringing it back. Not stuck yet. :)
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Thu Nov 01, 2012 11:17 am    Post subject: Reply with quote

peaker wrote:
@renegart
You could try to unmask mesa-8.0.3-r1, and mask only mesa-8.0.4-r1, but not glproto.
This should resolve your dilemma.


Thx for the hint. But it will not work.

In meantime I found out that 'x11–base/xorg-server-1.13.0–r9999' need also '>=x11-proto/dri2proto-2.8' as dependency and 'dri2ptoto–2.8' needs at least 'mesa-8.0.4-r1'. :cry:
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Thu Nov 01, 2012 11:33 am    Post subject: Reply with quote

renegart wrote:

In meantime I found out that 'x11–base/xorg-server-1.13.0–r9999' need also '>=x11-proto/dri2proto-2.8' as dependency and 'dri2ptoto–2.8' needs at least 'mesa-8.0.4-r1'. :cry:

Are you sure about it?
Ebuild for dri2proto-2.8 in my system doesn't state such dependency.
Code:
equery g dri2proto
 * dependency graph for x11-proto/dri2proto-2.8
 `--  x11-proto/dri2proto-2.8  ~amd64
   `--  sys-devel/automake-1.11.6  (>=sys-devel/automake-1.11.1) amd64
   `--  sys-devel/automake-1.12.4  (>=sys-devel/automake-1.12) [~amd64 keyword]
   `--  sys-devel/autoconf-2.68  (>=sys-devel/autoconf-2.68) amd64
   `--  sys-devel/libtool-2.4-r1  (sys-devel/libtool) amd64
   `--  sys-devel/m4-1.4.16  (sys-devel/m4) amd64
   `--  x11-misc/util-macros-1.17  (>=x11-misc/util-macros-1.17) amd64
   `--  media-fonts/font-util-1.3.0  (>=media-fonts/font-util-1.2.0) amd64
   `--  virtual/pkgconfig-0  (virtual/pkgconfig) amd64
[ x11-proto/dri2proto-2.8 stats: packages (9), max depth (1) ]
[/code]
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Thu Nov 01, 2012 12:44 pm    Post subject: Reply with quote

peaker wrote:
renegart wrote:

In meantime I found out that 'x11–base/xorg-server-1.13.0–r9999' need also '>=x11-proto/dri2proto-2.8' as dependency and 'dri2ptoto–2.8' needs at least 'mesa-8.0.4-r1'. :cry:

Are you sure about it?

No, I did several times try to update dri2proto and it complained about mesa–8.0.4–r1 has to be unmasked to continue. In meantime I've downgraded to mesa–8.0.3-r1 and the update of dri2proto works too. Seems to be my fault.
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Thu Nov 01, 2012 3:48 pm    Post subject: Reply with quote

next issue: 'gnome-libs/nm-applet-99.0.9.6.2' needs 'dev-libs/libappindicator' as dependency. :-)
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Thu Nov 01, 2012 6:27 pm    Post subject: Reply with quote

Don't remember it from first installation. Hmm... It was in dependecies of "indicator-power".
And yes, nm-applet-99.0.9.6.2 fails configure stage with
Code:
checking for APPINDICATOR... no
configure: error: Package requirements (appindicator3-0.1) were not met:
No package 'appindicator3-0.1' found
Back to top
View user's profile Send private message
renegart
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2012
Posts: 122

PostPosted: Thu Nov 01, 2012 7:03 pm    Post subject: Reply with quote

next problem which confusing me.
I've updated the unity repository this morning. Now protage complains that 'there are no ebuilds to satisfy "dev-libs/boost:1.49"'. Even when I merge boost-1.49 by hand it doesn't makes portage happy. Any ideas why boost is not found? Can it be that 'boost:1.49' is wrong in 'unity-5.16.0' package and should be 'boost–1.49'? Is that a typo?
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Thu Nov 01, 2012 7:09 pm    Post subject: Reply with quote

Ran into this too.
Boost was updated in main portage tree to 1.49.0-r2 not long ago, since then dependencies in unity-base/unity ebuilds are broken.

Also.
dev-libs/gobject-introspection was updated to 1.34.1.1 and fail configure stage
Code:
checking for GLIB... no
configure: error: Package requirements (glib-2.0 >= 2.34.1) were not met:

Requested 'glib-2.0 >= 2.34.1' but version of GLib is 2.34.0


Portage thinks that glib-99.2.34.0 is enough. :(
Code:
* dependency graph for dev-libs/gobject-introspection-1.34.1.1
 `--  dev-libs/gobject-introspection-1.34.1.1  ~amd64
   `--  dev-libs/gobject-introspection-common-1.34.1.1  (>=dev-libs/gobject-introspection-common-1.34.1.1) ~amd64
   `--  dev-libs/glib-99.2.34.0  (>=dev-libs/glib-2.34.1)
...
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Nov 02, 2012 12:38 am    Post subject: Reply with quote

=unity-base/compiz-0.9.8.4-r1 violates sandbox restrictions, twice.
Was reported. Looks like one of the reasons is in 'cmake/recompile_gsetting_schemas_in_dir_user_env.cmake'. It not uses {$CMAKE_ROOT} or something similar.
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Nov 02, 2012 1:01 am    Post subject: Reply with quote

=unity-base/unity-6.8.0 violates too with odd python3.2 calls. When active version of python is 2.7.
Code:
-- Installing: /var/tmp/portage/unity-base/unity-6.8.0/image/usr/share/man/man1/unity.1
-- Installing: /var/tmp/portage/unity-base/unity-6.8.0/image/usr/share/man/man1/unity-panel-service.1
-- Installing: /var/tmp/portage/unity-base/unity-6.8.0/image/usr/lib/unity/unity-panel-service
-- Installing: /var/tmp/portage/unity-base/unity-6.8.0/image/usr/share/dbus-1/services/com.canonical.Unity.Panel.Service.service
running install
ACCESS DENIED  open_wr:      /usr/lib64/python3.2/site-packages/test-easy-install-23585.write-test
error: can't create or remove files in install directory

Code:
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: open_wr
S: deny
P: /usr/lib64/python3.2/site-packages/test-easy-install-23585.write-test
A: /usr/lib64/python3.2/site-packages/test-easy-install-23585.write-test
R: /usr/lib64/python3.2/site-packages/test-easy-install-23585.write-test
C: /usr/bin/python3.2 setup.py install --prefix /usr
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Fri Nov 02, 2012 2:35 am    Post subject: Reply with quote

OK a quick summary of commits/fixes etc...
* Gstreamer and it's plugins have been bumped to 1.0.2
* Glib has been bumped to 2.34.1
* Mesa version restriction has been removed for unity and compiz
* boost:1.49 has vaporised from the portage tree, overlay packages test OK when depending on any version of boost so slot/version has been removed
* wacom is optional for gnome-settings-daemon again via 'wacom' USE flag
* libappindicator has been added as a dep. for nm-applet and gnome-settings-daemon
* libdbusmenu's dependencies have been updated to include doc-utils and json-glib

Haven't had a chance to fix those sandbox violations for compiz/unity yet but they should be purely cosmetic at this stage and the packages should still install and work.
Let me know if they are fatal or are causing problems.

Cheers :wink:
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Nov 02, 2012 2:39 am    Post subject: Reply with quote

Thanks. It'll be a lot more usable.

=unity-base/unity-lens-video-0.3.12 fails compile stage with =dev-python/python-distutils-extra-2.36 from main portage tree.
Code:
 * Building of unity-base/unity-lens-video-0.3.12 with CPython 2.7...
python2.7 setup.py build -b build-2.7
running build
running build_i18n
intltool-update -p -g unity-lens-video
intltool-merge -d po video.lens.in build/share/unity/lenses/video/video.lens
Merging translations into build/share/unity/lenses/video/video.lens.
 * Building of unity-base/unity-lens-video-0.3.12 with CPython 3.2...
python3.2 setup.py build -b build-3.2
Traceback (most recent call last):
  File "setup.py", line 4, in <module>
    from DistUtilsExtra.command import *
ImportError: No module named DistUtilsExtra.command
 * ERROR: unity-base/unity-lens-video-0.3.12 failed (compile phase):
 *   Building failed with CPython 3.2 in distutils_building() function
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_compile
 *   environment, line 5015:  Called distutils_src_compile
 *   environment, line 1185:  Called python_execute_function 'distutils_building'
 *   environment, line 3399:  Called die


With =dev-python/python-distutils-extra-2.35::unity-gentoo it compiles. But 2.36 is being keyword-unmasked by PACKAGES file in overlay.
Back to top
View user's profile Send private message
peaker
n00b
n00b


Joined: 11 Oct 2012
Posts: 24
Location: LH, New Zealand

PostPosted: Fri Nov 02, 2012 4:09 am    Post subject: Reply with quote

>* Mesa version restriction has been removed for unity and compiz
Not exactly.
xorg use flag for mesa was introduced in mesa-8.1_rc1_pre. I forced to try mesa-9.0. :)
Back to top
View user's profile Send private message
shiznix
Guru
Guru


Joined: 29 Jun 2003
Posts: 358
Location: Adelaide, Australia

PostPosted: Fri Nov 02, 2012 11:22 am    Post subject: Reply with quote

peaker wrote:
=unity-base/unity-lens-video-0.3.12 fails compile stage with =dev-python/python-distutils-extra-2.36 from main portage tree.
With =dev-python/python-distutils-extra-2.35::unity-gentoo it compiles. But 2.36 is being keyword-unmasked by PACKAGES file in overlay.

Due to the main tree restricting the use of python-3 with python-distutils-extra, I've bumped the overlay's version to 2.36 for now and had contact with one of the main tree's maintainers.
python-distutils-extra used to fail with python-3 but after version 2.23 it seems to be OK.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 8, 9, 10 ... 24, 25, 26  Next
Page 9 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum